dht::LogMethod Struct Reference

`#include <log_enable.h>`

## Public Member Functions

| LogMethod (LogMethod &&l)
| LogMethod (const LogMethod &l)
LogMethod & | operator= (dht::LogMethod &&l)
LogMethod & | operator= (const dht::LogMethod &l)
template<typename T >
| LogMethod (T &&t)
template<typename T >
| LogMethod (const T &t)
void | operator() (char const *format,...) const
void | log (char const *format, va_list args) const
| operator bool () const
void | logPrintable (const uint8_t *buf, size_t buflen) const

## Detailed Description

Wrapper for logging methods

Definition at line 43 of file log_enable.h.

## Constructor & Destructor Documentation

## LogMethod() [1/4]

dht::LogMethod::LogMethod | ( | LogMethod && | l | ) |

inline

Definition at line 46 of file log_enable.h.

## LogMethod() [2/4]

dht::LogMethod::LogMethod | ( | const LogMethod & | l | ) |

inline

Definition at line 47 of file log_enable.h.

## LogMethod() [3/4]

template<typename T >

dht::LogMethod::LogMethod | ( | T && | t | ) |

inline explicit

Definition at line 59 of file log_enable.h.

## LogMethod() [4/4]

template<typename T >

dht::LogMethod::LogMethod | ( | const T & | t | ) |

inline

Definition at line 62 of file log_enable.h.

## Member Function Documentation

## log()

void dht::LogMethod::log | ( | char const * | format,
|  | va_list | args
| ) |  | const

inline

Definition at line 70 of file log_enable.h.

## logPrintable()

void dht::LogMethod::logPrintable | ( | const uint8_t * | buf,
|  | size_t | buflen
| ) |  | const

inline

Definition at line 77 of file log_enable.h.

## operator bool()

dht::LogMethod::operator bool | ( |  | ) | const

inline explicit

Definition at line 73 of file log_enable.h.

## operator()()

void dht::LogMethod::operator() | ( | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 64 of file log_enable.h.

## operator=() [1/2]

LogMethod & dht::LogMethod::operator= | ( | const dht::LogMethod & | l | ) |

inline

Definition at line 53 of file log_enable.h.

## operator=() [2/2]

LogMethod & dht::LogMethod::operator= | ( | dht::LogMethod && | l | ) |

inline

Definition at line 49 of file log_enable.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/log_enable.h